### File

`packages/base/src/lib/eui-models/eui-service.model.ts`

### Extends

`EuiService`

### Index

###### Properties
onStateChange
###### Methods
initEuiService Abstract lazyLoadInit Abstract getState Abstract init Abstract updateState

### Properties

onStateChange
Type : `Subject<T>`
Default value : `new Subject<T>()`

### Methods

initEuiService
`initEuiService(storeForLazyLoad?: EuiStoreServiceModel<T>)`
Parameters :
Name | Type | Optional
storeForLazyLoad | `EuiStoreServiceModel<T>` | Yes
Returns : `void`

Abstract lazyLoadInit
`lazyLoadInit(moduleConfig: ModuleConfig, moduleName?: string)`
Parameters :
Name | Type | Optional
moduleConfig | `ModuleConfig` | No
moduleName | `string` | Yes
Returns : `Observable<EuiServiceStatus>`

Abstract getState
`getState()`
Type parameters : K
Returns : `Observable<T>`

Abstract init
`init(t?: T)`
Parameters :
Name | Type | Optional
t | `T` | Yes
Returns : `Observable<EuiServiceStatus>`

Abstract updateState
`updateState(t: DeepPartial<T>)`
Parameters :
Name | Type | Optional
t | `DeepPartial<T>` | No
Returns : `void`

# results matching ""

# No results matching ""